List Solana accounts
curl --request GET \
--url https://api.cdp.coinbase.com/platform/v2/solana/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cdp.coinbase.com/platform/v2/solana/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cdp.coinbase.com/platform/v2/solana/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"address": "HpabPRRCFbBKSuJr5PdkVvQc85FyxyTWkFM2obBRSvHT",
"name": "my-account",
"policies": [
"123e4567-e89b-12d3-a456-426614174000"
],
"createdAt": "2025-03-25T12:00:00Z",
"updatedAt": "2025-03-26T12:00:00Z"
}
],
"nextPageToken": "eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="
}{
"errorType": "internal_server_error",
"errorMessage": "An internal server error occurred. Please try again later."
}{
"errorType": "bad_gateway",
"errorMessage": "Bad gateway. Please try again later."
}{
"errorType": "service_unavailable",
"errorMessage": "Service unavailable. Please try again later."
}Solana Accounts
List Solana accounts
Lists the Solana accounts belonging to the developer. The response is paginated, and by default, returns 20 accounts per page.
If a name is provided, the response will contain only the account with that name.
GET
/
v2
/
solana
/
accounts
List Solana accounts
Authorizations
A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.
Query Parameters
The number of resources to return per page.
The token for the next page of resources, if any.
Was this page helpful?